Subject: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Mar 2020 19:09:39 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 22 Mar 2020 11:45:24 -0400
> 
> > Isn't it better to check whether the file is already locked?  That
> > way, we don't need any (error-prone) heuristics for when it's okay to
> > ask the question and when it isn't.
> 
> If I understand the code correctly, lock_file() already checks this (the
> '&& !NILP (Ffile_exists_p (fn))' part), but takes the wrong action in
> that case.  So I'm not sure what we should do differently.

AFAIU, 'fn' in lock_file is the file we want to lock, not the file we
create to indicate the lock.  Am I missing something?